require 'spec_helper'

describe 'centrify' do
  context 'server_users.allow template' do
    let(:facts) {{
        :osfamily => 'Debian',
      }}

    context 'array entry' do
      let(:params) {{ :users_allow => ['user1', 'user2'] }}
      it do
        is_expected.to contain_file('/etc/centrifydc/users.allow').with_content(
        /.*user1\nuser2.*/
        )
      end
    end
  end
end