# == Class centrify::config
#
# This class is called from centrify
#
class centrify::config {
  file { "${centrify::config_dir}/centrifydc.conf":
    mode    => $centrify::config_file_mode,
    owner   => $centrify::config_file_owner,
    group   => $centrify::config_file_group,
    content => template('centrify/server.conf.erb')
  }

  file { "${centrify::config_dir}/users.allow":
    mode    => $centrify::config_file_mode,
    owner   => $centrify::config_file_owner,
    group   => $centrify::config_file_group,
    content => template('centrify/server_users.allow.erb')
  }

  file { "${centrify::config_dir}/groups.allow":
    mode    => $centrify::config_file_mode,
    owner   => $centrify::config_file_owner,
    group   => $centrify::config_file_group,
    content => template('centrify/server_groups.allow.erb')
  }
}
